"""Add initial tables

Revision ID: 9aca5ae68ff5
Revises:
Create Date: 2022-07-27 12:30:49.163648

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "9aca5ae68ff5"
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "dataset",
        sa.Column("id", sa.INTEGER(), nullable=False),
        sa.Column("name", sa.VARCHAR(length=200), nullable=False),
        sa.Column("num_rows", sa.INTEGER(), nullable=True),
        sa.Column("num_columns", sa.INTEGER(), nullable=True),
        sa.Column("created_at", sa.TIMESTAMP(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "metric",
        sa.Column("id", sa.INTEGER(), nullable=False),
        sa.Column("name", sa.VARCHAR(length=100), nullable=False),
        sa.Column("category", sa.VARCHAR(length=100), nullable=True),
        sa.Column("created_at", sa.TIMESTAMP(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "version",
        sa.Column("id", sa.INTEGER(), nullable=False),
        sa.Column("name", sa.VARCHAR(length=50), nullable=True),
        sa.Column("created_at", sa.TIMESTAMP(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "result",
        sa.Column("id", sa.INTEGER(), nullable=False),
        sa.Column("metric_id", sa.INTEGER(), nullable=True),
        sa.Column("dataset_id", sa.INTEGER(), nullable=True),
        sa.Column("version_id", sa.INTEGER(), nullable=True),
        sa.Column("value", sa.FLOAT(), nullable=True),
        sa.Column("created_at", sa.TIMESTAMP(), nullable=True),
        sa.ForeignKeyConstraint(
            ["dataset_id"],
            ["dataset.id"],
        ),
        sa.ForeignKeyConstraint(
            ["metric_id"],
            ["metric.id"],
        ),
        sa.ForeignKeyConstraint(
            ["version_id"],
            ["version.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("result")
    op.drop_table("version")
    op.drop_table("metric")
    op.drop_table("dataset")
    # ### end Alembic commands ###
